xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) David Roundy <droundy@darcs.net>
License | BSD3-style (see LICENSE)
Maintainer | none
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.Square

Contents

- Usage

Description

A layout that splits the screen into a square area and the rest of the screen. This is probably only ever useful in combination with XMonad.Layout.Combo. It sticks one window in a square region, and makes the rest of the windows live with what's left (in a full-screen sense).

Synopsis

- data Square a = Square

# Usage

You can use this module with the following in your `xmonad.hs` file:

      import XMonad.Layout.Square

An example layout using square together with XMonad.Layout.Combo to make the very last area square:

    , combo (combo (mirror $ twoPane 0.03 0.85),1)] (twoPane 0.03 0.5) )
                   [(twoPane 0.03 0.2,1),(combo [(twoPane 0.03 0.8,1),(square,1)]
            [(tabbed,3),(tabbed,30),(tabbed,1),(tabbed,1)]

data Square a #

Constructors

Square |

#### Instances

Instances details

LayoutClass Square a # |

Instance details

Defined in XMonad.Layout.Square

Methods

runLayout :: Workspace WorkspaceId (Square a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (Square a)) #

doLayout :: Square a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (Square a)) #

pureLayout :: Square a -> Rectangle -> Stack a -> [(a, Rectangle)] #

emptyLayout :: Square a -> Rectangle -> X ([(a, Rectangle)], Maybe (Square a)) #

handleMessage :: Square a -> SomeMessage -> X (Maybe (Square a)) #

pureMessage :: Square a -> SomeMessage -> Maybe (Square a) #

description :: Square a -> String #

Read (Square a) # |
Instance details Defined in XMonad.Layout.Square Methods readsPrec :: Int -> ReadS (Square a) # readList :: ReadS [Square a] # readPrec :: ReadPrec (Square a) # readListPrec :: ReadPrec [Square a] #
Show (Square a) # |
Instance details Defined in XMonad.Layout.Square Methods showsPrec :: Int -> Square a -> ShowS # show :: Square a -> String # showList :: [Square a] -> ShowS #